> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/subscriptions/

Returns a list all of customer subscriptions for a merchant, or a list of subscriptions for an individual customer.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/subscriptions/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /subscriptions/:
    get:
      operationId: list
      summary: List
      description: >-
        Returns a list all of customer subscriptions for a merchant, or a list
        of subscriptions for an individual customer.
      tags:
        - subscriptions
      parameters:
        - name: live
          in: query
          description: 'Subscription status: active (True) or inactive (False)'
          required: false
          schema:
            type: array
            items:
              type: boolean
        - name: product
          in: query
          description: Unique product identifier
          required: false
          schema:
            type: string
        - name: shipping_address
          in: query
          description: Address ID
          required: false
          schema:
            type: string
        - name: customer
          in: query
          description: Customer ID (only available in API user scope)
          required: false
          schema:
            type: string
        - name: created
          in: query
          description: Subscription's created date exact match (yyyy-mm-dd)
          required: false
          schema:
            type: string
            format: date
        - name: created_start
          in: query
          description: >-
            Subscription's created date later or equal than parameter
            (yyyy-mm-dd)
          required: false
          schema:
            type: string
            format: date
        - name: created_end
          in: query
          description: >-
            Subscription's created date sooner or equal than parameter
            (yyyy-mm-dd)
          required: false
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Subscription's updated date exact match (yyyy-mm-dd). On
            subscription creation is populated with same value as created field.
          required: false
          schema:
            type: string
            format: date
        - name: updated_start
          in: query
          description: >-
            Subscription's updated datetime later or equal than parameter
            (yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: updated_end
          in: query
          description: >-
            Subscription's updated date time is sooner or equal than parameter
            (yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subscriptions_list_Response_200'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subscriptions-listRequestForbiddenError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItemsComponentsItems:
      type: object
      properties:
        public_id:
          type: string
        quantity:
          type: integer
          default: 0
        product:
          type: string
      title: >-
        SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItemsComponentsItems
    SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItems:
      type: object
      properties:
        public_id:
          type: string
        product_attribute:
          description: Any type
        price:
          type: string
        frequency_days:
          type: integer
          default: 0
        reminder_days:
          type: integer
          default: 0
        start_date:
          type: string
        cancelled:
          description: Any type
        cancel_reason_code:
          type: string
        cancel_reason:
          type: string
        merchant_order_id:
          type: string
        subscription_type:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItemsComponentsItems
        created:
          type: string
        updated:
          type: string
        extra_data:
          type: string
        live:
          type: string
      title: SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItems
    Subscriptions_list_Response_200:
      type: object
      properties:
        count:
          type: integer
          default: 0
        next:
          type: string
        previous:
          type: string
        results:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItems
      title: Subscriptions_list_Response_200
    Subscriptions-listRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Subscriptions-listRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/subscriptions/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/subscriptions/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/subscriptions/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/subscriptions/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```